
Smart Proxy - Feature #14882

Puppet CA signing should support --allow-dns-alt-names

04/29/2016 08:15 AM - Robert Heinzmann

Status: New   

Priority: Normal   

Assignee:    

Category: PuppetCA   

Target version:    

Difficulty:  Fixed in Releases:  

Triaged: Yes Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request: https://github.com/theforeman/smart-pro

xy/pull/510

  

Description

When adding additional DNS names to the Puppet certificates, the signing needs extra parameters.

Foreman smart proxy should support "--allow-dns-alt-names" as an option in foreman.yaml.

Puppet config: 

[agent]

      dns_alt_names = webhook.server.example.com

 
[root@SERVER]# puppet cert sign "server.example.com" 

  Error: CSR 'server.example.com' contains subject alternative names (DNS:server.example.com, DNS:

webhook.server.example.com), which are disallowed. Use `puppet cert --allow-dns-alt-names sign ser

ver.example.com` to sign this request.

 
[root@SERVER]# puppet cert sign --allow-dns-alt-names "server.example.com" 

  Notice: Signed certificate request for server.example.com

  Notice: Removing file Puppet::SSL::CertificateRequest server.example.com at '/var/lib/puppet/ssl

_master/ca/requests/server.example.com.pem'

 It seems puppet-proxy modules/puppetca/puppetca_main.rb does not add this option.

Release:

[root@puppet foreman-proxy]# rpm -qa | grep foreman-proxy

  foreman-proxy-1.11.1-1.el7.noarch

History

#1 - 04/29/2016 08:16 AM - Dominic Cleal

- Project changed from Foreman to Smart Proxy

- Subject changed from Smart Proxy should support --allow-dns-alt-names to Puppet CA signing should support --allow-dns-alt-names

- Category changed from Smart Proxy to Puppet

#2 - 02/13/2017 11:44 AM - The Foreman Bot

- Status changed from New to Ready For Testing

- Pull request https://github.com/theforeman/smart-proxy/pull/510 added

#3 - 11/30/2017 09:39 AM - Tomer Brisker

- Category changed from Puppet to PuppetCA

#4 - 01/29/2019 02:53 PM - Lukas Zapletal

- Tracker changed from Bug to Feature
- Status changed from Ready For Testing to New

- Difficulty deleted (easy)

- Triaged changed from No to Yes

Thanks for the patch so far, this needs to be a configurable option, possibly with a list of hostnames as folks suggest. Please rebase, add config

option, tests and reopen or file a new PR if you want this functionality.
